#include <bits/stdc++.h>

#define ll long long
using namespace std;

bool sortcol( const vector<double>& v1,
               const vector<double>& v2 ) {
 return v1[1] < v2[1];
}

int main()
{
  ll s, sc = 0;
  int n;
  double x;
  cin >> n;
  vector< vector<double> > mat;
  long double r[n];
  for (int i = 0; i < n; i++){
        vector<double> row;
        for (int j = 0; j < 2; j++){
            cin >> x;
            row.push_back(x);
        }
        mat.push_back(row);
  }

  sort(mat.begin(), mat.end(), sortcol);
  for (int i = 0; i < n; i++){
        s += mat[i][0];
  }
  for (int i = 0; i < n; i++){
      r[i] = ((long double)mat[i][1]/100) * (s - sc);
      //cout << setprecision(10000000);
      //cout << r[i] << endl;
      if(i != n-1){
            if(mat[i][1] != mat[i+1][1]) sc += mat[i][0];
      }
  }

  double maxi = r[0];
  for (int i = 1; i < n; i++){
      //maxi = max(maxi, r[i]);
      if(r[i] > maxi) maxi = r[i];
  }
  cout << maxi;


}